Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037732
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 07. Sales managementminoralways2018-01-25 18:352018-02-22 18:18
ReporterdmiguelezView Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision72ef6d83714d
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037732: Add an Extension Point at the beginning of the C_Order_Post

DescriptionAdd an Extension Point at the beginning of the C_Order_Post

There is currently another one at the end, but it would be nice to have another one at the beginning to allow modules to perform custom validations at the beginning of the process.
Steps To ReproduceAdd an Extension Point at the beginning of the C_Order_Post

There is currently another one at the end, but it would be nice to have another one at the beginning to allow modules to perform custom validations at the beginning of the process.
TagsNo tags attached.
Attached Files? file icon Test-ORA.sql [^] (1,008 bytes) 2018-01-26 10:00
? file icon Test-PG.sql [^] (1,094 bytes) 2018-01-26 10:00

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0101985)
dmiguelez (developer)
2018-01-26 09:59

Using Postgres.

Create function in Database using the attached file (Test_PG.sql).

Log in as System Admin and go to Window Extension Points.
Select the Extension Point with name: C_Order_Post - Validation Process
Create a new record in the Procedures Tab with:
  - Module: Core (Set Module in development if it is not)
  - Sequence Number: 10
  - Procedure: Test

Log out and Log in as F&B Admin

Go to Sales Order Window and create a new Sales Order with:
  - Business Partner: Alimentos y Supermercados
Move to Lines Tab and create a new record with:
  - Product: Agua Sin Gas
  - Ordered Quantity: 1

Click on Book button. An error message is shown with the message: Test

Edit the database funciton and comment or delete the line: RAISE EXCEPTION '%', 'Test';

Click on Book button. The process is completed successfully with the message: Test

Do the same test for a Purchase Order (with the proper parameters for Business Partner and Product, any Business Partner or Product available will be ok)

Do the same test for Oracle, but using the function provided in the other attached file (Test_ORA.sql).
(0101986)
hgbot (developer)
2018-01-26 10:03

Repository: erp/devel/pi
Changeset: 72ef6d83714d6bf9b9b0d77302c16f9a2e1a143f
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Jan 25 18:35:39 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/72ef6d83714d6bf9b9b0d77302c16f9a2e1a143f [^]

Fixes Issue 37732. Adds an exetension Point at the beginning of the C_Order_Post

---
M src-db/database/model/functions/C_ORDER_POST1.xml
M src-db/database/sourcedata/AD_EXTENSION_POINTS.xml
---
(0101987)
dmiguelez (developer)
2018-01-26 10:06

Code Review + Testing Ok
(0102689)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-25 18:35 dmiguelez New Issue
2018-01-25 18:35 dmiguelez Assigned To => Triage Finance
2018-01-25 18:35 dmiguelez Modules => Core
2018-01-25 18:35 dmiguelez Triggers an Emergency Pack => No
2018-01-26 09:59 dmiguelez Note Added: 0101985
2018-01-26 10:00 dmiguelez File Added: Test-ORA.sql
2018-01-26 10:00 dmiguelez File Added: Test-PG.sql
2018-01-26 10:03 hgbot Checkin
2018-01-26 10:03 hgbot Note Added: 0101986
2018-01-26 10:03 hgbot Status new => resolved
2018-01-26 10:03 hgbot Resolution open => fixed
2018-01-26 10:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/72ef6d83714d6bf9b9b0d77302c16f9a2e1a143f [^]
2018-01-26 10:06 dmiguelez Review Assigned To => dmiguelez
2018-01-26 10:06 dmiguelez Note Added: 0101987
2018-01-26 10:06 dmiguelez Status resolved => closed
2018-01-26 10:06 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102689


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker